Bug 855262 - Local gear of scalable python app is down after git push completed
Local gear of scalable python app is down after git push completed
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 03:14 EDT by joycezhang
Modified: 2015-05-14 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:28:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scalable python gear status after git push (65.73 KB, image/png)
2012-09-07 03:14 EDT, joycezhang
no flags Details
scale events (1.21 KB, text/x-log)
2012-09-07 03:17 EDT, joycezhang
no flags Details

  None (edit)
Description joycezhang 2012-09-07 03:14:15 EDT
Created attachment 610642 [details]
scalable python gear status after git push

Description of problem:
Local gear is down after git push completed. Please refer to the screen shot in attachement.

Version-Release number of selected component (if applicable):
devenv_2128
rhc-0.98.9.gem

How reproducible:
always


Steps to Reproduce:
1.Create a python scalable app
#rhc app create -a myscapp4 -t python-2.6 -s
2.Do some changes and git push in local repo.
3.Check the gear status by haproxy status from browser or Rest API.
  
Actual results:
Local gear is down after git push completed.


Expected results:
All gears are up after git push.


Additional info:
Other cartridges like jbossas-7, jbosseap-6.0 can work well.
Comment 1 joycezhang 2012-09-07 03:17:29 EDT
Created attachment 610644 [details]
scale events
Comment 2 Ram Ranganathan 2012-09-07 15:26:34 EDT
Fixed with pull request: 
   https://github.com/openshift/crankcase/pull/463

Waiting on merge.
Comment 3 joycezhang 2012-09-10 01:08:35 EDT
This bug has been verified and fixed. Please refer to the details as below:

Verified build:
devenv_2140
rhc-0.98.10.gem

Steps to Verify:
1.Create a python scalable app
#rhc app create -a myscapp4 -t python-2.6 -s
2.Do some changes and git push in local repo.
3.Check the gear status by haproxy status from browser or Rest API.

Verified results:
All gears are still up after git push.

So this bug can be marked as Verified. Thanks.

Note You need to log in before you can comment on or make changes to this bug.